> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get connector details (internal — not proxied to frontend)

> Return full connector record including credentials.

This endpoint is intended for service-to-service calls only
(e.g., knowledge-api fetching credentials for ingestion).
The Next.js frontend proxy does NOT forward this route.



## OpenAPI

````yaml /api-reference/catalog-api.json get /connectors/{connector_id}
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /connectors/{connector_id}:
    get:
      tags:
        - connectors
      summary: Get connector details (internal — not proxied to frontend)
      description: |-
        Return full connector record including credentials.

        This endpoint is intended for service-to-service calls only
        (e.g., knowledge-api fetching credentials for ingestion).
        The Next.js frontend proxy does NOT forward this route.
      operationId: get_connector_connectors__connector_id__get
      parameters:
        - name: connector_id
          in: path
          required: true
          schema:
            type: string
            title: Connector Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectorDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConnectorDetail:
      properties:
        id:
          type: string
          title: Id
        type:
          type: string
          title: Type
        name:
          type: string
          title: Name
        credentials:
          additionalProperties: true
          type: object
          title: Credentials
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
        sync_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Sync Schedule
      type: object
      required:
        - id
        - type
        - name
        - credentials
        - created_at
        - updated_at
      title: ConnectorDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````